Error: Install-Package: KB3176936 or later is required for docker to work, Windows Server 2016

When you try to Install Docker for Windows Server 2016 you receive an error message saying that you need to Install a specific update with the error below.

The error message:

Install-Package : KB3176936 or later is required for docker to work

Below, you can see the error message.

To fix this error and Install Docker, download and Install the update for Windows Server 2016 (780MB)

http://www.catalog.update.microsoft.com/search.aspx?q=kb3194798

Start the Installation and restart when done.

Run winver to make sure you have update 1607 running

When I run the Installation again It works:

Leave a Reply